Subject: OSRAM RAMPORT for the TI-99/4A

From: "computerclassics2000" <[email-masked]>
Date: Sat, 12 Nov 2011 17:41:51 -0000

Wondered if anyone has one of these as well as the docs and the software ? -- I have a flyer from Osram Industries in Victoria, BC that shows a cartridge sized board for the TI-99/4A that is called the RAMPORT. According to Ed Butcher, writing in the June and August 1985 issues of the TI Riverside, CA User Group newsletter,

June 1985
---------
"In the mail this month I received an advertisement from a Canadian company called Osram Industries.  The Osram company has developed a product for the TI-99/4A that they call the RAMPORT.  This module features 8K of CMOS RAM, has USER replaceable battery, and something that they call RAMLOCK ROM emulator.

"The module can be accessed from the the TI MENU screen.  In addition to the obvious 8K ram expansion, their ROM module-backup feature allows copying of all non-banked ROM-only cartridges to disk and something that they call ROM emulation.  Just think what this module will do for portability.  You will be able to carry the console without the extra bulk of a recorder or a disk drive. Have you ever tried to lug your Expansion Box around just to load a program? Included with the module are the following software features,

- Osram Forth; an extension of TI FORTH.
- Ramport Manager; operates in the Forth environment for up and down loading.
- TI Debug Installation kit; for menu entry and increased program space.
- Documentaion; Forth enhancements, menu and CRU information and Manager manual.

"The module can be purchased for $57.50 plus $2.50 Shipping.  Multiple unit purchases by User Groups may get a better price. For more information Osram Industries is located at 644 Belton Avenue,
Victoria, B.C., Canada V9A 2Z6.  Their phone number is (604)383-1315.

I have ordered the module and will offer a more in-depth report in a future Newsletter."

AUGUST 1985
-----------
"After waiting two anxious months I finally received my Ramport module from Osram Industries.  SOME ASSEMBLY REQUIRED. That phrase always makes me a little nervous.  In the case of the Ramport module it applies in two ways. First it comes as a bare module board and, like a Hermit Crab, it needs a shell in which to live. The only module that I could possibly do without would have to be Chisholm Trail.  So out comes the screw driver and with a few twists the module opens and a transfer takes place. The Ramport board now has a new home. The next assembly that is required is via the Editor/Assembler module. It seems
that to use the module you must modify the source code of a program to send the computer to a special memory location when the correct menu selection is made.

"There is a lot more information about this procedure in MICROpendium, for their Super Cart modification, than in the documentation that was included with Ramport. Osram's Ad indicated that they included a Forth enhancements manual (one page), comprehensive menu information (one paragraph and a sample program), CRU architecture (one paragraph), and a Manager manual (one paragraph). A little skimpy for us struggling users I'd say. Now don't get me wrong. I am sure that the module will be a very useful addition to my system if I can just figure out how to make it work. It looks like that one will have to go on the shelf for a little while."

Any information on whether or not someone has/had a working model, and a better description of the docs and the software would be appreciated.

Thanks!

BillG
11/12/2011